<?php
if (!defined("ROOT_PATH"))
{
	header("HTTP/1.1 403 Forbidden");
	exit;
}
class pjPackageModel extends pjAppModel
{
	protected $primaryKey = 'id';
	
	protected $table = 'packages';
	
	protected $schema = array(
		array('name' => 'id', 'type' => 'int', 'default' => ':NULL'),
		array('name' => 'calendar_id', 'type' => 'int', 'default' => ':NULL'),
		array('name' => 'rent_by_hour', 'type' => 'tinyint', 'default' => 0),
		array('name' => 'rent_by_day', 'type' => 'tinyint', 'default' => 0),
		array('name' => 'price_per_hour', 'type' => 'decimal', 'default' => ':NULL'),
		array('name' => 'price_per_day', 'type' => 'decimal', 'default' => ':NULL'),
		array('name' => 'is_active', 'type' => 'tinyint', 'default' => 1)
	);
	
	protected $i18n = array('title');
	
	public static function factory($attr=array())
	{
		return new pjPackageModel($attr);
	}
}
?>